Get Credential by Credential ID
curl --request GET \
--url https://staging.crossmint.com/api/v1-alpha1/credentials/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.crossmint.com/api/v1-alpha1/credentials/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.crossmint.com/api/v1-alpha1/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/examples/Credential"
}{
"title": "NotIssuedYet",
"description": "Credential not issued yet, wait for the mint to complete."
}Verifiable Credentials
Get Credential by Credential ID
Get a verifiable credential by the ID associated with it.
This ID will have the format: urn:uuid:<UUID>. For example: urn:uuid:64f9877d-a19a-4205-8d61-f8c2abed5766
API scope required credentials.read. This enpoint will work also with a client side API key.
GET
/
v1-alpha1
/
credentials
/
{id}
Get Credential by Credential ID
This is an alpha API and subject to change.
Authorizations
Key obtained from the Crossmint developer console, reflecting the API scope granted.
Path Parameters
Unique ID of the credential as returned in the Verifiable Credential NFT creation response. Format is: urn:uuid:<UUID>
Response
Success.
The credential object
Was this page helpful?

